description

# Path2D class Null safety

Annotations
  - @Native("Path2D")

## Constructors

Path2D([dynamic path_OR_text])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addPath(Path2D path, [Matrix? transform]) → void
arc(num x, num y, num radius, num startAngle, num endAngle, bool? anticlockwise) → void
arcTo(num x1, num y1, num x2, num y2, num radius) → void
bezierCurveTo(num cp1x, num cp1y, num cp2x, num cp2y, num x, num y) → void
closePath() → void
ellipse(num x, num y, num radiusX, num radiusY, num rotation, num startAngle, num endAngle, bool? anticlockwise) → void
lineTo(num x, num y) → void
moveTo(num x, num y) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
quadraticCurveTo(num cpx, num cpy, num x, num y) → void
rect(num x, num y, num width, num height) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited